# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiNoiseTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.beginLayout("噪声属性", collapse=False)
    
        
        self.addControl("octaves", label="倍频")
        self.addControl("distortion", label="失真")
        self.addControl("lacunarity", label="缺项")
        self.addControl("amplitude", label="振幅")
        self.addControl("scale", label="规模")
        self.addControl("offset", label="抵消")
        self.addControl("coordSpace", label="坐标空间")
        self.addControl("P", label="P")
        self.addControl("time", label="时间")
        self.addControl("color1", label="颜色 1")
        self.addControl("color2", label="颜色 2")
        self.addControl("mode", label="模式")
        
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()
    
